
From: Andrew Morton <akpm@osdl.org>

net/sunrpc/svcsock.c: In function `svc_tcp_init':
net/sunrpc/svcsock.c:1078: warning: implicit declaration of function `tcp_sk'
net/sunrpc/svcsock.c:1078: warning: initialization makes pointer from integer without a cast
net/sunrpc/svcsock.c:1096: dereferencing pointer to incomplete type

Cc: "David S. Miller" <davem@davemloft.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 net/sunrpc/svcsock.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN net/sunrpc/svcsock.c~git-net-svcsock-build-fix net/sunrpc/svcsock.c
--- devel/net/sunrpc/svcsock.c~git-net-svcsock-build-fix	2005-08-06 23:55:20.000000000 -0700
+++ devel-akpm/net/sunrpc/svcsock.c	2005-08-06 23:55:20.000000000 -0700
@@ -26,6 +26,7 @@
 #include <linux/in.h>
 #include <linux/inet.h>
 #include <linux/udp.h>
+#include <linux/tcp.h>
 #include <linux/unistd.h>
 #include <linux/slab.h>
 #include <linux/netdevice.h>
_
